/* You can add global styles to this file, and also import other style files */
@import '~@angular/material/theming';
@import 'app/auth/auth.component';
@import "app/core/sidemenu/sidemenu.component";
@import "app/core/sidemenu-item/sidemenu-item.component";
@import "app/profile/profile-card/profile-card.component";


$mat-color: (
  50: #FFF,
  100: #c5cae9,
  200: #3991d5,
  300: #1581d5,
  400: #0077D5,
  500: #2196f3,
  600: #1e88e5,
  700: #1976d2,
  800: #1565c0,
  900: #0d47a1,
  A100: #8c9eff,
  A200: #536dfe,
  A400: #3d5afe,
  A700: #304ffe,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);

$mat-accent: (
  50: #e8eaf6,
  100: #c5cae9,
  200: #3991d5,
  300: #1581d5,
  400: #004ca3,
  500: #2196f3,
  600: #1e88e5,
  700: #1976d2,
  800: #1565c0,
  900: #0d47a1,
  A100: #8c9eff,
  A200: #536dfe,
  A400: #3d5afe,
  A700: #304ffe,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
);

$mat-light-theme-background: (
  status-bar: map_get($mat-grey, 300),
  app-bar: map_get($mat-grey, 100),
  background: map_get($mat-color, 50),
  hover: rgba(black, 0.04), // TODO(kara): check style with Material Design UX
  card: white,
  dialog: white,
  disabled-button: $black-12-opacity,
  raised-button: white,
  focused-button: $black-6-opacity,
  selected-button: map_get($mat-grey, 300),
  selected-disabled-button: map_get($mat-grey, 400),
  disabled-button-toggle: map_get($mat-grey, 200),
  unselected-chip: map_get($mat-grey, 300),
  disabled-list-option: map_get($mat-grey, 200),
);

@include mat-core();


$primary: $mat-color;
$accent: $mat-accent;
$warn: $mat-red;


$primary-app-primary: mat-palette($primary, 400);
$primary-app-accent: mat-palette($accent, 900);
$primary-app-warn: mat-palette($warn);
$cdk-theme: mat-light-theme($primary-app-primary, $primary-app-accent, $primary-app-warn);

cdk-sidemenu {
  $sidemenu-app-primary: mat-palette($accent, 400);
  $sidemenu-app-accent: mat-palette($accent, 900);
  $sidemenu-app-warn: mat-palette($warn);
  $cdk-sidemenu-theme: mat-dark-theme($sidemenu-app-primary, $sidemenu-app-accent, $sidemenu-app-warn);
  @include mat-list-theme($cdk-sidemenu-theme);
}


cdk-sidemenu-item {
  @include sidemenu-item($cdk-theme, 20px)
}

app-profile-card {
  $dashboard-profile-primary: mat-palette($primary, 400);
  $dashboard-profile-accent: mat-palette($accent, 900);
  $dashboard-profile-warn: mat-palette($warn);
  $cdk-dashboard-profile-theme: mat-dark-theme($dashboard-profile-primary, $dashboard-profile-accent, $dashboard-profile-warn);
  @include dashboard-profile($cdk-dashboard-profile-theme);
  @include mat-tabs-theme($cdk-dashboard-profile-theme);
}

@include angular-material-theme($cdk-theme);
@include auth($cdk-theme);

html, body {
  height: 100%;
}

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  background: rgba(224, 224, 224, 1);
  background: -moz-linear-gradient(-45deg, rgba(224, 224, 224, 1) 0%, rgba(220, 220, 220, 1) 15%, rgba(219, 219, 219, 1) 21%, rgba(232, 232, 232, 1) 53%, rgba(242, 242, 242, 1) 100%);
  background: -webkit-gradient(left top, right bottom, color-stop(0%, rgba(224, 224, 224, 1)), color-stop(15%, rgba(220, 220, 220, 1)), color-stop(21%, rgba(219, 219, 219, 1)), color-stop(53%, rgba(232, 232, 232, 1)), color-stop(100%, rgba(242, 242, 242, 1)));
  background: -webkit-linear-gradient(-45deg, rgba(224, 224, 224, 1) 0%, rgba(220, 220, 220, 1) 15%, rgba(219, 219, 219, 1) 21%, rgba(232, 232, 232, 1) 53%, rgba(242, 242, 242, 1) 100%);
  background: -o-linear-gradient(-45deg, rgba(224, 224, 224, 1) 0%, rgba(220, 220, 220, 1) 15%, rgba(219, 219, 219, 1) 21%, rgba(232, 232, 232, 1) 53%, rgba(242, 242, 242, 1) 100%);
  background: -ms-linear-gradient(-45deg, rgba(224, 224, 224, 1) 0%, rgba(220, 220, 220, 1) 15%, rgba(219, 219, 219, 1) 21%, rgba(232, 232, 232, 1) 53%, rgba(242, 242, 242, 1) 100%);
  background: linear-gradient(135deg, rgba(224, 224, 224, 1) 0%, rgba(220, 220, 220, 1) 15%, rgba(219, 219, 219, 1) 21%, rgba(232, 232, 232, 1) 53%, rgba(242, 242, 242, 1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#e0e0e0', endColorstr='#f2f2f2', GradientType=1);
}

.text-center {
  text-align: center;
}

.pointer {
  cursor: pointer;
}

.components-container-gt-xs {
  padding: 20px;
  // background-color: #fdfdfd;
}

.components-container-xs {
  padding: 5px !important;
  // background-color: #fdfdfd;
}

.component-preview {
  padding: 20px;
}

.ps-content {
  height: 100%;
}

.loader-container {
  background-color: white;
  width: 100vw;
  height: 100vh;
  z-index: 2000;
  position: absolute;

  -moz-animation: cssAnimation 1s ease-in 3s forwards;
  /* Firefox */
  animation: cssAnimation 1s ease-in 3s forwards;
  /* Safari and Chrome */
  -o-animation: cssAnimation 1s ease-in 3s forwards;
  /* Opera */
  animation: cssAnimation 1s ease-in 3s forwards;
  animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@keyframes cssAnimation {
  to {
    opacity: 0;
    display: none;
    visibility: hidden;
  }
}

@keyframes cssAnimation {
  to {
    visibility: hidden;
    opacity: 0;
    display: none;
  }
}


.spinner {
  margin: 50vh auto 0;
  width: 70px;
  text-align: center;
}

.spinner > div {
  width: 18px;
  height: 18px;
  border-radius: 100%;
  display: inline-block;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.bounce3 {
  background-color: orange;
}

.spinner .bounce1 {
  background-color: blue;
  animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  background-color: red;
  animation-delay: -0.16s;
  animation-delay: -0.16s;
}


@keyframes sk-bouncedelay {
  0%, 80%, 100% {
    transform: scale(0)
  }
  40% {
    transform: scale(1.0)
  }
}

@keyframes sk-bouncedelay {
  0%, 80%, 100% {
    transform: scale(0);
    transform: scale(0);
  }
  40% {
    transform: scale(1.0);
    transform: scale(1.0);
  }
}

.mat-drawer-inner-container {
  overflow: hidden !important;
}

.mat-chip {
  font-size: 14px;
  font-weight: 500;
  min-height: 22px !important;
}

.show {
  display: block;
}

.hidden {
  display: none;
}

.container-form {
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;

  .content-img-logo {
    width: 300px;
    height: auto;
    margin: -20px auto 10px;
    background-color: transparent;
  }

  .title {
    font-size: 16px;
    margin: 0 auto 16px;
    font-weight: 300;
  }

  .card-content {
    padding-bottom: 0;
  }

  .action-form {
    padding-top: 0;
  }

  .footer-card > div {
    background-color: #eeeeee;
  }

}
